<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_a5e22fe41a6e4288b56df" . "78f2f278f8f" => base64_decode("cHJldl9wYXJlbnRf" . "aWQ="), "t" . "i" . "t" . "l" . "e" => base64_decode("dGl0bGU" . "="), "_6e38cb9e04" . "3a07cd69a17" . "11a6704c62a" => base64_decode("cGFy" . "ZW50" . "X2lk"), "_b2f5a10" . "04511643" . "96178c16" . "d2a5c689" . "9" => base64_decode("cHJldl90aXRs" . "ZQ=="));
use Claromentis\Core\Event\GenericEvent;


class UpdateFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_b2f5a100451164396178c16d2a5c689" . "9"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["ti" . "tl" . "e"]);
    }
    public function GetPrevParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_a5e22fe" . "41a6e428" . "8b56df78" . "f2f278f8" . "f"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_6e38cb9e043a07cd69a1711a6" . "704c62a"]);
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}